Bug 242358 - [NEW PORT] textproc/p5-Unicode-Tussle: Tom's Unicode Scripts So Life is Easier
Summary: [NEW PORT] textproc/p5-Unicode-Tussle: Tom's Unicode Scripts So Life is Easier
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 242354 242355 242356 242357
Blocks:
  Show dependency treegraph
 
Reported: 2019-12-02 09:12 UTC by Tomohiro Hosaka
Modified: 2019-12-11 19:38 UTC (History)
1 user (show)

See Also:


Attachments
svn diff (2.66 KB, text/plain)
2019-12-02 09:12 UTC, Tomohiro Hosaka
no flags Details
shar (3.03 KB, text/plain)
2019-12-09 20:34 UTC, Tomohiro Hosaka
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomohiro Hosaka 2019-12-02 09:12:10 UTC
* portlint looks fine.
* poudriere testport ok (12.0, amd64, svn-head)
* make test ok
Comment 1 Tomohiro Hosaka 2019-12-02 09:12:13 UTC
Created attachment 209596 [details]
svn diff
Comment 2 Kurt Jaeger freebsd_committer 2019-12-07 08:22:07 UTC
fails to build in poudriere:

====> Running Q/A tests (stage-qa)
Error: '/hfe/ova/rai' is an invalid shebang you need USES=shebangfix for 'bin/havshpx'

And: bin/havshpx is a rot13'ed file, and it's content looks like a joke, so I suggest to not install it at all.
Comment 3 Tomohiro Hosaka 2019-12-09 20:34:02 UTC
Created attachment 209812 [details]
shar

I checked below and selected what should be included as bin/*.
https://metacpan.org/pod/Unicode::Tussle#OSCON-scripts-description-#2/2
Comment 4 Kurt Jaeger freebsd_committer 2019-12-11 19:38:13 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2019-12-11 19:38:42 UTC
A commit references this bug:

Author: pi
Date: Wed Dec 11 19:38:06 UTC 2019
New revision: 519838
URL: https://svnweb.freebsd.org/changeset/ports/519838

Log:
  New port: textproc/p5-Unicode-Tussle: Tom's Unicode Scripts So Life is Easier

  Tom's Unicode Scripts So Life is Easier.
  This is a collection of separate programs.

  WWW: https://metacpan.org/release/Unicode-Tussle

  PR:		242358
  Submitted by:	Tomohiro Hosaka <bokutin@bokut.in>

Changes:
  head/textproc/Makefile
  head/textproc/p5-Unicode-Tussle/
  head/textproc/p5-Unicode-Tussle/Makefile
  head/textproc/p5-Unicode-Tussle/distinfo
  head/textproc/p5-Unicode-Tussle/pkg-descr
  head/textproc/p5-Unicode-Tussle/pkg-plist